org.fourthline.cling.model.message.header

## Class InterfaceMacHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<byte[]>
  - - org.fourthline.cling.model.message.header.InterfaceMacHeader

-     public class InterfaceMacHeader
      extends UpnpHeader<byte[]>

  Custom header for Cling, used to transfer the MAC ethernet address for Wake-on-LAN.
  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `UpnpHeader.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterfaceMacHeader()`
    `InterfaceMacHeader(byte[] value)`
    `InterfaceMacHeader(String s)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s)`
    `String` | `toString()`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterfaceMacHeader

          public InterfaceMacHeader()

    - #### InterfaceMacHeader

          public InterfaceMacHeader(byte[] value)

    - #### InterfaceMacHeader

          public InterfaceMacHeader(String s)

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Specified by:
        `setString` in class `UpnpHeader<byte[]>`
      Parameters:
        `s` - This header's value as a string representation.
      Throws:
        `InvalidHeaderException` - If the value is invalid for this UPnP header.

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `UpnpHeader<byte[]>`
      Returns:
        A string representing this header's value.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `UpnpHeader<byte[]>`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.